<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Thu Mar 15 23:03:53 CET 2018 -->
<title>Uses of Package jdraw.framework (JDraw API)</title>
<meta name="date" content="2018-03-15">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package jdraw.framework (JDraw API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../jdraw/framework/package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?jdraw/framework/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package jdraw.framework" class="title">Uses of Package<br>jdraw.framework</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList"><a name="jdraw.framework">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../jdraw/framework/package-summary.html">jdraw.framework</a> used by <a href="../../jdraw/framework/package-summary.html">jdraw.framework</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../jdraw/framework/class-use/DrawCommand.html#jdraw.framework">DrawCommand</a>
<div class="block">The interface DrawCommand defines the functionality provided by
 commands which can be stored in the command history.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../jdraw/framework/class-use/DrawCommandHandler.html#jdraw.framework">DrawCommandHandler</a>
<div class="block">The interface DrawCommandHandler defines the handler which allows to
 access the command history provided by a draw model.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../jdraw/framework/class-use/DrawContext.html#jdraw.framework">DrawContext</a>
<div class="block">The interface DrawContext represents the context which contains and 
 presents the draw view.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../jdraw/framework/class-use/DrawGrid.html#jdraw.framework">DrawGrid</a>
<div class="block">A DrawGrid is used to restrict the coordinates used when the mouse is
 clicked.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../jdraw/framework/class-use/DrawModel.html#jdraw.framework">DrawModel</a>
<div class="block">The class DrawModel represents the model of a drawing, i.e.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../jdraw/framework/class-use/DrawModelEvent.html#jdraw.framework">DrawModelEvent</a>
<div class="block">An event which indicates that a draw model has changed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../jdraw/framework/class-use/DrawModelEvent.Type.html#jdraw.framework">DrawModelEvent.Type</a>
<div class="block">This enum describes the type of event.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../jdraw/framework/class-use/DrawModelListener.html#jdraw.framework">DrawModelListener</a>
<div class="block">Listener interested in draw model changes.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../jdraw/framework/class-use/DrawTool.html#jdraw.framework">DrawTool</a>
<div class="block">A tool defines a mode of the drawing view, intended to be set over a tool
 bar.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../jdraw/framework/class-use/DrawView.html#jdraw.framework">DrawView</a>
<div class="block">The class DrawView displays a graphic model.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../jdraw/framework/class-use/Figure.html#jdraw.framework">Figure</a>
<div class="block">Base interface for all figures implemented in the graphic editor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../jdraw/framework/class-use/FigureEvent.html#jdraw.framework">FigureEvent</a>
<div class="block">An event which indicates that a figure event occurred in a figure.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../jdraw/framework/class-use/FigureHandle.html#jdraw.framework">FigureHandle</a>
<div class="block">Handles are used to change a figure by direct manipulation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../jdraw/framework/class-use/FigureListener.html#jdraw.framework">FigureListener</a>
<div class="block">Listener interested in figure changes.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../jdraw/framework/package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?jdraw/framework/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2000-2017 D. Gruntz & Ch. Denzler, FHNW. All Rights Reserved.</i></small></p>
</body>
</html>
